Bug 1020007 - RFE: ISO Importer needs global proxy configuration
RFE: ISO Importer needs global proxy configuration
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: iso-support (Show other bugs)
Master
Unspecified Unspecified
high Severity unspecified
: ---
: 2.4.0
Assigned To: Mike McCune
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 14:53 EDT by Justin Sherrill
Modified: 2014-08-09 02:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:54:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2013-10-16 14:53:14 EDT
Description of problem:

Just like the yum importer, the iso importer needs a global proxy configuration.
Comment 1 Jason Connor 2013-11-01 13:01:47 EDT
Added the loading of an iso_import.json configuration file to the entry point.

PR is here: https://github.com/pulp/pulp_rpm/pull/372

Referenced previous bug for solution here: https://bugzilla.redhat.com/show_bug.cgi?id=878548
Comment 3 Jeff Ortel 2014-04-03 09:35:49 EDT
build: 2.4.0-0.7.beta
Comment 4 Preethi Thomas 2014-04-16 11:23:58 EDT
verified

[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]# 

[root@pulp-24-server ~]# pulp-admin iso repo create --repo-id file-repo --feed http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_file_repo/ --proxy-host http://pulp-proxy.usersys.redhat.com  --proxy-port 8080  --proxy-user admin --proxy-pass admin
Successfully created repository [file-repo]

[root@pulp-24-server ~]# 
[root@pulp-24-server ~]# 
[root@pulp-24-server ~]# 
[root@pulp-24-server ~]# pulp-admin iso repo sync run --repo-id file-repo
+----------------------------------------------------------------------+
                  Synchronizing Repository [file-repo]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


The Pulp Manifest was downloaded successfully.

Downloading 3 ISOs...
[==================================================] 100%
ISOs: 3/3	Data: 10.2 MB/10.2 MB	Avg: 1.0 MB/s


Successfully downloaded 3 ISOs.


Task Succeeded



The repository was successfully published.


Task Succeeded


[root@pulp-24-server ~]#
Comment 5 Preethi Thomas 2014-04-16 11:59:34 EDT
It needs to be tested with global proxy
Comment 6 Preethi Thomas 2014-05-09 12:58:22 EDT
verified

[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.13.beta.el6.noarch
[root@pulp-24-server ~]# 


[root@pulp-24-server ~]# cat /etc/pulp/server/plugins.conf.d/iso_importer.json 
{
    "num_threads" : 4,
    "proxy_host" : "http://pulp-proxy.usersys.redhat.com",
    "proxy_port" : 8080,
    "proxy_username": "admin",
    "proxy_password": "admin"
}

[root@pulp-24-server ~]# 


[root@pulp-24-server ~]# pulp-admin iso repo create --repo-id file-repo --feed http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/test_file_repo/
Successfully created repository [file-repo]

[root@pulp-24-server ~]# 
[root@pulp-24-server ~]# 
[root@pulp-24-server ~]# pulp-admin iso repo sync run --repo-id file-repo+----------------------------------------------------------------------+
                  Synchronizing Repository [file-repo]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


The Pulp Manifest was downloaded successfully.

Downloading 3 ISOs...
[==================================================] 100%
ISOs: 3/3	Data: 10.2 MB/10.2 MB	Avg: 2.0 MB/s


Successfully downloaded 3 ISOs.


Task Succeeded



The repository was successfully published.


Task Succeeded



From the squid/access.log
Comment 7 Randy Barlow 2014-08-09 02:54:40 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.